- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Sets the status of a developer.
A developer is active by default. If you set a developer's status to inactive, the API keys assigned to the developer apps are no longer valid even though the API keys are set to approved. Inactive developers can still sign in to the developer portal and create apps; however, any new API keys generated during app creation won't work.
To set the status of a developer, set the action query parameter to active or inactive, and the Content-Type header to application/octet-stream. If successful, the API call returns the following HTTP status code: 204 No Content
HTTP request
POST https://apigee.googleapis.com/v1/{name=organizations/*/developers/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the developer. Use the following structure in your request: Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
action |
Status of the developer. Valid values are |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform